Subject: Re: 2.6.22-ppc8xx fec.c bugs

From: Scott Wood <[email-masked]>
Date: Thu, 10 Jan 2008 11:48:48 -0600

[email-masked] wrote:
> Hello everyone,
> 
> I don't know who the maintainer of the FEC (Fast Ethernet Controller) in
> the ppc8xx achitecture is, so I am writing this email here.

arch/ppc is deprecated, and arch/ppc/8xx_io especially so.

Please use drivers/net/fs_enet (and also note that arch/ppc will be 
going away in a few months).

> I've seen that some bugs were fixed in the latest kernel but others haven't
> been addressed (possibly undetected yet). The following is a diff with
> corrections I made to the 2.6.22 'fec.c' file (currently seems to work
> fine).

Please post patches against the latest head-of-tree, and in unified diff 
format (diff -u).

-Scott